Retrieves text of a standard EnergyCAP bill export file for AP, GL and payment purposes. Maximum of 10000 bills can be processed at one time. Only bills with the following conditions are included in the export file: 1) approved bills (if the approval system is enabled in workflow settings) 2) bill is in a closed batch (if after batch or after batch approval is set in the workflow settings) 3) bill is not held for export 4) bill is not void 5) bill is within the user's topmost setting. 6) bill in not already exported
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
BillExport
| Property | Description | Type |
|---|---|---|
| billIds | Cannot be Empty NULL Valid Required (defined) | integer[] |
| exportMode | The export mode to use. Valid values are ‘AP’, ‘GL’, ‘Payment’ Required One of ‘ap’, ‘gl’, ‘payment’ | string |
| exportNote | Optional note/comment. Required (defined) | string |
| fileName | Optional filename to use for the export file. Filenames may only contain alphanumeric characters, dashes, underscores, or periods. Required (defined) | string |
| markAsExported | Flag to mark bills as exported after the export is complete. Required | boolean |
Example Request Body
{ "billIds": [
1
], "exportMode": "string", "exportNote": "string", "fileName": "string", "markAsExported": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.